<?php
// $Id: template.php,v 1.38.2.3.2.3.2.19 2010/05/31 10:10:31 mverbaar Exp $

/**
 * Process variables for block.tpl.php.
 */
function inkribbon_preprocess_block(&$variables) {
  // Provide useful classes.
  $variables['classes'] = 'block block-' . $variables['block']->module;
}

/**
 * Process variables for comment.tpl.php.
 */
function inkribbon_preprocess_comment(&$variables) {
  // Provide useful classes.
  $classes = array(
    'comment',
    $status,
  );
  if ($variables['comment']->new) {
    $classes[] = 'comment-new';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for node.tpl.php.
 */
function inkribbon_preprocess_node(&$variables) {
  // Provide useful classes.
  $classes = array(
    'node',
    'node-' . $variables['node']->type,
  );
  if ($variables['teaser']) {
    $classes[] = 'node-teaser';
  }
  if ($variables['sticky']) {
    $classes[] = 'node-sticky';
  }
  if (!$variables['status']) {
    $classes[] = 'node-unpublished';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for page.tpl.php.
 */
function inkribbon_preprocess_page(&$variables) {
  // Construct the logo. We use theme_image() to create the img so it gets
  // proper width and height attributes.
  if ($variables['logo']) {
    // Make the URL relative to base_path() so theme_image() can swallow it.
    $variables['logo'] = preg_replace('#^' . preg_quote(base_path()) . '#', '', $variables['logo']);
    
    $variables['logo'] = theme('image', $variables['logo'],
      t('!sitename logo', array(
        '!sitename' => $variables['site_name'],
      ))
    );
  }
}
